Linking problems in CoCoA-5 GUI

17 Oct 2012 12:17 - John Abbott

Status: Closed Start date: 17 Oct 2012

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: GUI Estimated time: 0.33 hour

Target version: CoCoA-5.2.2 Spent time: 0.31 hour

Description

Sometimes building the C5 GUI fails because of linking problems.

The problem is that in C5Makefile there is no declaration of dependencies on CoCoALib source files, so changing a CoCoALib

header file does not trigger recompilation of the object files in src/CoCoA-5/Debug/

A workaround is simply to run make clean in the directory src/CoCoA-5/.

I don't know how feasible it would be to adjoin the dependencies to C5Makefile; remember that the file is generated by qmake.

History

#1 - 28 Apr 2017 11:18 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoA-5

- Category set to GUI

- Target version set to CoCoA-5.2.2

#2 - 02 May 2017 15:00 - John Abbott

- Priority changed from Normal to Low

To be honest I do not recall encountering this problem in a very long time, but I also do not recall ever resolving it correctly.

Decreasing priority to "low" (in the hope that the issue might just go away all by itself?)

#3 - 13 Nov 2017 15:49 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

- Estimated time set to 0.33 h

Grrr!  I don't enjoy maintaining the GUI code.

No one else can compile it, as far as I know.

I don't recall having seen this problem in a long time.

Closing.
